## igraph 0.1.1

=== DESCRIPTION ===
Package: igraph
Version: 0.1.1
Date: Januar 25, 2005
Title:  IGraph class
Author: Gabor Csardi <csardi@rmki.kfki.hu>
Maintainer: Gabor Csardi <csardi@rmki.kfki.hu>
Description: Routines for simple graphs.
License: GPL version 2 or later (June, 1991)
URL: http://cneurocvs.rmki.kfki.hu/igraph
Packaged: Tue Feb 28 14:17:08 2006; csardi

## igraph 0.1.2

=== DESCRIPTION ===
Package: igraph
Version: 0.1.2
Date: Januar 25, 2005
Title:  Routines for network analysis.
Author: Gabor Csardi <csardi@rmki.kfki.hu>
Maintainer: Gabor Csardi <csardi@rmki.kfki.hu>
Description: The igraph package contains routines for creating and 
  manipulating graphs, and graph visualization. It can handle graphs with
  millions of vertices and edges.
License: GPL version 2 or later (June, 1991)
URL: http://cneurocvs.rmki.kfki.hu/igraph
Packaged: Tue Mar 28 12:36:18 2006; csardi

## igraph 0.2

=== DESCRIPTION ===
Package: igraph
Version: 0.2
Date: Januar 25, 2005
Title:  IGraph class
Author: Gabor Csardi <csardi@rmki.kfki.hu>
Maintainer: Gabor Csardi <csardi@rmki.kfki.hu>
Description: Routines for simple graphs.
License: GPL version 2 or later (June, 1991)
URL: http://cneurocvs.rmki.kfki.hu/igraph
Packaged: Wed Aug 23 19:56:56 2006; csardi

## igraph 0.2.1

=== DESCRIPTION ===
Package: igraph
Version: 0.2.1
Date: Januar 25, 2005
Title:  IGraph class
Author: Gabor Csardi <csardi@rmki.kfki.hu>
Maintainer: Gabor Csardi <csardi@rmki.kfki.hu>
Description: Routines for simple graphs.
License: GPL version 2 or later (June, 1991)
URL: http://cneurocvs.rmki.kfki.hu/igraph
Packaged: Wed Aug 23 23:13:10 2006; csardi

## igraph 0.3.1

=== DESCRIPTION ===
Package: igraph
Version: 0.3.1
Date: December 5, 2006
Title:  Routines for simple graphs, network analysis.
Author: Gabor Csardi <csardi@rmki.kfki.hu>
Maintainer: Gabor Csardi <csardi@rmki.kfki.hu>
Description: Routines for simple graphs and network analysis. igraph can
  handle large graphs very well and provides functions for generating random
  and regular graphs, graph visualization, centrality indices and much more.
Suggests: stats4, rgl
License: GPL version 2 or later (June, 1991)
URL: http://cneurocvs.rmki.kfki.hu/igraph
Packaged: Wed Dec  6 18:37:50 2006; csardi

## igraph 0.3.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: igraph
-Version: 0.3.1
+Version: 0.3.2
 Date: December 5, 2006
 Title:  Routines for simple graphs, network analysis.
 Author: Gabor Csardi <csardi@rmki.kfki.hu>
@@ -10,4 +10,4 @@
 Suggests: stats4, rgl
 License: GPL version 2 or later (June, 1991)
 URL: http://cneurocvs.rmki.kfki.hu/igraph
-Packaged: Wed Dec  6 18:37:50 2006; csardi
+Packaged: Thu Dec 14 13:45:22 2006; csardi

## igraph 0.3.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: igraph
-Version: 0.3.2
+Version: 0.3.3
 Date: December 5, 2006
 Title:  Routines for simple graphs, network analysis.
 Author: Gabor Csardi <csardi@rmki.kfki.hu>
@@ -10,4 +10,4 @@
 Suggests: stats4, rgl
 License: GPL version 2 or later (June, 1991)
 URL: http://cneurocvs.rmki.kfki.hu/igraph
-Packaged: Thu Dec 14 13:45:22 2006; csardi
+Packaged: Tue Feb 27 12:32:06 2007; csardi

## igraph 0.4

=== DESCRIPTION ===
Package: igraph
Version: 0.4
Date: May 10, 2007
Title:  Routines for simple graphs, network analysis.
Author: Gabor Csardi <csardi@rmki.kfki.hu>
Maintainer: Gabor Csardi <csardi@rmki.kfki.hu>
Description: Routines for simple graphs and network analysis. igraph can
  handle large graphs very well and provides functions for generating random
  and regular graphs, graph visualization, centrality indices and much more.
Depends: stats
Suggests: stats4, rgl
License: GPL version 2 or later (June, 1991)
URL: http://cneurocvs.rmki.kfki.hu/igraph
Packaged: Mon May 21 16:50:37 2007; csardi

## igraph 0.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: igraph
-Version: 0.4
+Version: 0.4.1
 Date: May 10, 2007
 Title:  Routines for simple graphs, network analysis.
 Author: Gabor Csardi <csardi@rmki.kfki.hu>
@@ -11,4 +11,4 @@
 Suggests: stats4, rgl
 License: GPL version 2 or later (June, 1991)
 URL: http://cneurocvs.rmki.kfki.hu/igraph
-Packaged: Mon May 21 16:50:37 2007; csardi
+Packaged: Tue May 22 23:04:16 2007; csardi

## igraph 0.4.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: igraph
-Version: 0.4.1
-Date: May 10, 2007
+Version: 0.4.2
+Date: May 28, 2007
 Title:  Routines for simple graphs, network analysis.
 Author: Gabor Csardi <csardi@rmki.kfki.hu>
 Maintainer: Gabor Csardi <csardi@rmki.kfki.hu>
@@ -11,4 +11,4 @@
 Suggests: stats4, rgl
 License: GPL version 2 or later (June, 1991)
 URL: http://cneurocvs.rmki.kfki.hu/igraph
-Packaged: Tue May 22 23:04:16 2007; csardi
+Packaged: Wed Jun  6 19:47:34 2007; csardi

## igraph 0.4.3

=== DESCRIPTION ===
Package: igraph
Version: 0.4.3
Date: Aug 7, 2007
Title:  Routines for simple graphs, network analysis.
Author: Gabor Csardi <csardi@rmki.kfki.hu>
Maintainer: Gabor Csardi <csardi@rmki.kfki.hu>
Description: Routines for simple graphs and network analysis. igraph can
  handle large graphs very well and provides functions for generating random
  and regular graphs, graph visualization, centrality indices and much more.
Depends: stats
Suggests: stats4, rgl, tcltk
License: GPL version 2 or later (June, 1991)
URL: http://cneurocvs.rmki.kfki.hu/igraph
Packaged: Thu Aug  9 17:59:04 2007; csardi

## igraph 0.4.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: igraph
-Version: 0.4.3
-Date: Aug 7, 2007
+Version: 0.4.4
+Date: Oct 3, 2007
 Title:  Routines for simple graphs, network analysis.
 Author: Gabor Csardi <csardi@rmki.kfki.hu>
 Maintainer: Gabor Csardi <csardi@rmki.kfki.hu>
@@ -11,4 +11,4 @@
 Suggests: stats4, rgl, tcltk
 License: GPL version 2 or later (June, 1991)
 URL: http://cneurocvs.rmki.kfki.hu/igraph
-Packaged: Thu Aug  9 17:59:04 2007; csardi
+Packaged: Wed Oct  3 17:09:38 2007; csardi

## igraph 0.4.5

=== DESCRIPTION ===
Package: igraph
Version: 0.4.5
Date: Oct 3, 2007
Title:  Routines for simple graphs, network analysis.
Author: Gabor Csardi <csardi@rmki.kfki.hu>
Maintainer: Gabor Csardi <csardi@rmki.kfki.hu>
Description: Routines for simple graphs and network analysis. igraph can
  handle large graphs very well and provides functions for generating random
  and regular graphs, graph visualization, centrality indices and much more.
Depends: stats
Suggests: stats4, rgl, tcltk, RSQLite, digest
License: GPL version 2 or later (June, 1991)
URL: http://cneurocvs.rmki.kfki.hu/igraph
Packaged: Fri Dec 21 19:38:02 2007; csardi

## igraph 0.5

=== DESCRIPTION ===
Package: igraph
Version: 0.5
Date: Feb 14, 2008
Title:  Routines for simple graphs, network analysis.
Author: Gabor Csardi <csardi@rmki.kfki.hu>
Maintainer: Gabor Csardi <csardi@rmki.kfki.hu>
Description: Routines for simple graphs and network analysis. igraph can
  handle large graphs very well and provides functions for generating random
  and regular graphs, graph visualization, centrality indices and much more.
Depends: stats
Suggests: stats4, rgl, tcltk, RSQLite, digest
License: GPL (>= 2)
URL: http://cneurocvs.rmki.kfki.hu/igraph
Packaged: Wed Feb 13 11:20:34 2008; csardi

## igraph 0.5.1

=== DESCRIPTION ===
Package: igraph
Version: 0.5.1
Date: Feb 14, 2008
Title:  Routines for simple graphs, network analysis.
Author: Gabor Csardi <csardi@rmki.kfki.hu>
Maintainer: Gabor Csardi <csardi@rmki.kfki.hu>
Description: Routines for simple graphs and network analysis. igraph can
  handle large graphs very well and provides functions for generating random
  and regular graphs, graph visualization, centrality indices and much more.
Depends: stats
Suggests: stats4, rgl, tcltk, RSQLite, digest, graph, Matrix
License: GPL (>= 2)
URL: http://cneurocvs.rmki.kfki.hu/igraph
Packaged: Sat Jul 12 12:44:04 2008; csardi

## igraph 0.5.2

=== DESCRIPTION ===
Package: igraph
Version: 0.5.2
Date: Apr 10, 2009
Title: Routines for simple graphs, network analysis.
Author: Gabor Csardi <Gabor.Csardi@unil.ch>
Maintainer: Gabor Csardi <Gabor.Csardi@unil.ch>
Description: Routines for simple graphs and network analysis. igraph
        can handle large graphs very well and provides functions for
        generating random and regular graphs, graph visualization,
        centrality indices and much more.
Depends: stats
Suggests: stats4, rgl, tcltk, RSQLite, digest, graph, Matrix
License: GPL (>= 2)
URL: http://cneurocvs.rmki.kfki.hu/igraph
Packaged: Sat Apr 11 10:33:25 2009; csardi
Repository: CRAN
Date/Publication: 2009-04-14 17:31:25

## igraph 0.5.2-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: igraph
-Version: 0.5.2
+Version: 0.5.2-2
 Date: Apr 10, 2009
 Title: Routines for simple graphs, network analysis.
 Author: Gabor Csardi <Gabor.Csardi@unil.ch>
@@ -12,6 +12,6 @@
 Suggests: stats4, rgl, tcltk, RSQLite, digest, graph, Matrix
 License: GPL (>= 2)
 URL: http://cneurocvs.rmki.kfki.hu/igraph
-Packaged: Sat Apr 11 10:33:25 2009; csardi
 Repository: CRAN
-Date/Publication: 2009-04-14 17:31:25
+Date/Publication: 2009-05-08 11:36:36
+Packaged: 2009-05-08 11:26:59 UTC; csardi

## igraph 0.5.3

=== DESCRIPTION ===
Package: igraph
Version: 0.5.3
Date: Nov 22, 2009
Title: Network analysis and visualization
Author: Gabor Csardi <Gabor.Csardi@unil.ch>
Maintainer: Gabor Csardi <Gabor.Csardi@unil.ch>
Description: Routines for simple graphs and network analysis. igraph
        can handle large graphs very well and provides functions for
        generating random and regular graphs, graph visualization,
        centrality indices and much more.
Depends: stats
Suggests: stats4, rgl, tcltk, RSQLite, digest, graph, Matrix
License: GPL (>= 2)
URL: http://igraph.sourceforge.net
Packaged: 2009-11-22 12:32:44 UTC; csardi
Repository: CRAN
Date/Publication: 2009-11-22 16:20:35

## igraph 0.5.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: igraph
-Version: 0.5.3
+Version: 0.5.4
 Date: Nov 22, 2009
 Title: Network analysis and visualization
 Author: Gabor Csardi <Gabor.Csardi@unil.ch>
@@ -12,6 +12,7 @@
 Suggests: stats4, rgl, tcltk, RSQLite, digest, graph, Matrix
 License: GPL (>= 2)
 URL: http://igraph.sourceforge.net
-Packaged: 2009-11-22 12:32:44 UTC; csardi
+SystemRequirements: gmp, libxml2
+Packaged: 2010-08-06 14:25:42 UTC; gaborcsardi
 Repository: CRAN
-Date/Publication: 2009-11-22 16:20:35
+Date/Publication: 2010-08-06 16:35:45

=== debian/changelog ===
igraph (0.5.4-2) unstable; urgency=low

  * Use my @d.o alias
  * Remove DMUA flag
  * Bump Std-Vers to 3.9.3, no changes needed
  * Switch to dpkg-source 3.0 (quilt) format
  * Use dh(9), get hardening for free

 -- Mathieu Malaterre <malat@debian.org>  Wed, 11 Apr 2012 13:09:46 +0200

igraph (0.5.4-1) unstable; urgency=low

  * New upstream.
  
  * control: Change depends libgmp3-dev --> libgmp-dev.  Update
    Standards-Version to 3.9.1.
  
  * rules: empty out dependency_libs.

 -- Steve M. Robbins <smr@debian.org>  Wed, 16 Mar 2011 23:42:10 -0500

igraph (0.5.3-1) unstable; urgency=low

  * Initial upload to Debian. Closes: #546752.

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Mon, 16 Nov 2009 18:12:42 +0100

=== debian/control ===
Source: igraph
Section: libs
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>,
Build-Depends: debhelper (>= 9), libtool, libxml2-dev, libgmp-dev, libarpack2-dev,
 libblas-dev, liblapack-dev, automake, autotools-dev
Standards-Version: 3.9.3
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/igraph/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/igraph/trunk/
Homepage: http://igraph.sourceforge.net/

Package: libigraph0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library for creating and manipulating graphs
 igraph is a library for creating and manipulating graphs.
 It is intended to be as powerful (ie. fast) as possible to enable the
 analysis of large graphs.
 .
 This is the runtime library package.

Package: libigraph0-dev
Architecture: any
Section: libdevel
Depends: libigraph0 (= ${binary:Version}), ${misc:Depends}
Provides: libigraph-dev
Description: library for creating and manipulating graphs - development files
 igraph is a library for creating and manipulating graphs.
 It is intended to be as powerful (ie. fast) as possible to enable the
 analysis of large graphs.
 .
 This package contains the include files and static library for igraph.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --parallel --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --with-external-blas --with-external-lapack --with-external-arpack

get-orig-source:
	uscan --verbose --force-download

## igraph 0.5.4-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: igraph
-Version: 0.5.4
-Date: Nov 22, 2009
+Version: 0.5.4-1
+Date: Aug 19, 2010
 Title: Network analysis and visualization
 Author: Gabor Csardi <Gabor.Csardi@unil.ch>
 Maintainer: Gabor Csardi <Gabor.Csardi@unil.ch>
@@ -13,6 +13,6 @@
 License: GPL (>= 2)
 URL: http://igraph.sourceforge.net
 SystemRequirements: gmp, libxml2
-Packaged: 2010-08-06 14:25:42 UTC; gaborcsardi
+Packaged: 2010-08-19 11:17:23 UTC; gaborcsardi
 Repository: CRAN
-Date/Publication: 2010-08-06 16:35:45
+Date/Publication: 2010-08-19 12:12:22

## igraph 0.5.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: igraph
-Version: 0.5.4-1
-Date: Aug 19, 2010
+Version: 0.5.5
+Date: Nov 22, 2009
 Title: Network analysis and visualization
 Author: Gabor Csardi <Gabor.Csardi@unil.ch>
 Maintainer: Gabor Csardi <Gabor.Csardi@unil.ch>
@@ -13,6 +13,6 @@
 License: GPL (>= 2)
 URL: http://igraph.sourceforge.net
 SystemRequirements: gmp, libxml2
-Packaged: 2010-08-19 11:17:23 UTC; gaborcsardi
+Packaged: 2010-10-28 09:04:12 UTC; gaborcsardi
 Repository: CRAN
-Date/Publication: 2010-08-19 12:12:22
+Date/Publication: 2010-10-28 12:57:58

## igraph 0.5.5-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: igraph
-Version: 0.5.5
-Date: Nov 22, 2009
+Version: 0.5.5-1
+Date: Dec 17, 2010
 Title: Network analysis and visualization
 Author: Gabor Csardi <Gabor.Csardi@unil.ch>
 Maintainer: Gabor Csardi <Gabor.Csardi@unil.ch>
@@ -13,6 +13,6 @@
 License: GPL (>= 2)
 URL: http://igraph.sourceforge.net
 SystemRequirements: gmp, libxml2
-Packaged: 2010-10-28 09:04:12 UTC; gaborcsardi
 Repository: CRAN
-Date/Publication: 2010-10-28 12:57:58
+Date/Publication: 2010-12-17 07:35:39
+Packaged: 2010-12-17 00:24:53 UTC; gaborcsardi

## igraph 0.5.5-2

=== DESCRIPTION ===
Package: igraph
Version: 0.5.5-2
Date: Mar 21 , 2011
Title: Network analysis and visualization
Author: Gabor Csardi <csardi.gabor@gmail.com>
Maintainer: Gabor Csardi <csardi.gabor@gmail.com>
Description: Routines for simple graphs and network analysis. igraph
        can handle large graphs very well and provides functions for
        generating random and regular graphs, graph visualization,
        centrality indices and much more.
Depends: stats
Suggests: stats4, rgl, tcltk, RSQLite, digest, graph, Matrix
License: GPL (>= 2)
URL: http://igraph.sourceforge.net
SystemRequirements: gmp, libxml2
Packaged: 2011-03-21 16:13:28 UTC; gaborcsardi
Repository: CRAN
Date/Publication: 2011-03-21 17:32:37

## igraph 0.5.5-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: igraph
-Version: 0.5.5-2
-Date: Mar 21 , 2011
+Version: 0.5.5-3
+Date: Oct 18 , 2011
 Title: Network analysis and visualization
 Author: Gabor Csardi <csardi.gabor@gmail.com>
 Maintainer: Gabor Csardi <csardi.gabor@gmail.com>
@@ -13,6 +13,6 @@
 License: GPL (>= 2)
 URL: http://igraph.sourceforge.net
 SystemRequirements: gmp, libxml2
-Packaged: 2011-03-21 16:13:28 UTC; gaborcsardi
+Packaged: 2011-10-19 00:30:59 UTC; gaborcsardi
 Repository: CRAN
-Date/Publication: 2011-03-21 17:32:37
+Date/Publication: 2011-10-20 08:47:43

## igraph 0.5.5-4

=== DESCRIPTION ===
Package: igraph
Version: 0.5.5-4
Date: Dec 12 , 2011
Title: Network analysis and visualization
Author: Gabor Csardi <csardi.gabor@gmail.com>
Maintainer: Gabor Csardi <csardi.gabor@gmail.com>
Description: Routines for simple graphs and network analysis. igraph can
  handle large graphs very well and provides functions for generating random
  and regular graphs, graph visualization, centrality indices and much more.
Depends: stats
Suggests: stats4, rgl, tcltk, RSQLite, digest, graph, Matrix
License: GPL (>= 2)
URL: http://igraph.sourceforge.net
SystemRequirements: gmp, libxml2
Packaged: 2011-12-12 14:04:08 UTC; gaborcsardi
Repository: CRAN
Date/Publication: 2011-12-13 08:36:26

## igraph 0.6

=== DESCRIPTION ===
Package: igraph
Version: 0.6
Date: Jun 11, 2012
Title: Network analysis and visualization
Author: Gabor Csardi <csardi.gabor@gmail.com>
Maintainer: Gabor Csardi <csardi.gabor@gmail.com>
Description: Routines for simple graphs and network analysis. igraph
        can handle large graphs very well and provides functions for
        generating random and regular graphs, graph visualization,
        centrality indices and much more.
Depends: stats
Suggests: igraphdata, stats4, rgl, tcltk, graph, Matrix, ape
License: GPL (>= 2)
URL: http://igraph.sourceforge.net
SystemRequirements: gmp, libxml2
Packaged: 2012-06-14 13:43:29 UTC; gaborcsardi
Repository: CRAN
Date/Publication: 2012-06-14 20:21:10

## igraph 0.6-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: igraph
-Version: 0.6
+Version: 0.6-1
 Date: Jun 11, 2012
 Title: Network analysis and visualization
 Author: Gabor Csardi <csardi.gabor@gmail.com>
@@ -13,6 +13,6 @@
 License: GPL (>= 2)
 URL: http://igraph.sourceforge.net
 SystemRequirements: gmp, libxml2
-Packaged: 2012-06-14 13:43:29 UTC; gaborcsardi
+Packaged: 2012-06-17 01:48:50 UTC; gaborcsardi
 Repository: CRAN
-Date/Publication: 2012-06-14 20:21:10
+Date/Publication: 2012-06-17 02:30:00

## igraph 0.6-2

=== DESCRIPTION ===
Package: igraph
Version: 0.6-2
Date: Jun 20, 2012
Title: Network analysis and visualization
Author: Gabor Csardi <csardi.gabor@gmail.com>
Maintainer: Gabor Csardi <csardi.gabor@gmail.com>
Description: Routines for simple graphs and network analysis. igraph
        can handle large graphs very well and provides functions for
        generating random and regular graphs, graph visualization,
        centrality indices and much more.
Depends: stats
Imports: Matrix
Suggests: igraphdata, stats4, rgl, tcltk, graph, Matrix, ape
License: GPL (>= 2)
URL: http://igraph.sourceforge.net
SystemRequirements: gmp, libxml2
Packaged: 2012-06-20 13:51:24 UTC; gaborcsardi
Repository: CRAN
Date/Publication: 2012-06-20 14:54:12

## igraph 0.6-3

=== DESCRIPTION ===
Package: igraph
Version: 0.6-3
Date: Oct 16, 2012
Title: Network analysis and visualization
Author: See AUTHORS file.
Maintainer: Gabor Csardi <csardi.gabor@gmail.com>
Description: Routines for simple graphs and network analysis. igraph
        can handle large graphs very well and provides functions for
        generating random and regular graphs, graph visualization,
        centrality indices and much more.
Depends: stats
Imports: Matrix
Suggests: igraphdata, stats4, rgl, tcltk, graph, Matrix, ape
License: GPL (>= 2)
URL: http://igraph.sourceforge.net
SystemRequirements: gmp, libxml2
Packaged: 2012-10-17 12:55:30 UTC; gaborcsardi
Repository: CRAN
Date/Publication: 2012-10-17 14:09:19

## igraph 0.6.4

=== DESCRIPTION ===
Package: igraph
Version: 0.6.4
Date: 2013-02-02
Title: Network analysis and visualization
Author: See AUTHORS file.
Maintainer: Gabor Csardi <csardi.gabor@gmail.com>
Description: Routines for simple graphs and network analysis. igraph
        can handle large graphs very well and provides functions for
        generating random and regular graphs, graph visualization,
        centrality indices and much more.
Depends: stats
Imports: Matrix
Suggests: igraphdata, stats4, rgl, tcltk, graph, Matrix, ape, XML,
        jpeg, png
License: GPL (>= 2)
URL: http://igraph.sourceforge.net
SystemRequirements: gmp, libxml2
Packaged: 2013-02-04 20:19:36 UTC; gaborcsardi
Repository: CRAN
Date/Publication: 2013-02-04 22:20:28

## igraph 0.6.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: igraph
-Version: 0.6.4
-Date: 2013-02-02
+Version: 0.6.5
+Date: 2013-02-24
 Title: Network analysis and visualization
 Author: See AUTHORS file.
 Maintainer: Gabor Csardi <csardi.gabor@gmail.com>
@@ -15,6 +15,7 @@
 License: GPL (>= 2)
 URL: http://igraph.sourceforge.net
 SystemRequirements: gmp, libxml2
-Packaged: 2013-02-04 20:19:36 UTC; gaborcsardi
+Packaged: 2013-02-25 05:06:43 UTC; gaborcsardi
+NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2013-02-04 22:20:28
+Date/Publication: 2013-02-25 08:43:49

=== debian/changelog ===
igraph (0.6.5-5) unstable; urgency=medium

  * use dh-autoreconf instead of autotools-dev (thanks to Logan Rosen
    <logan@ubuntu.com> for the patch)
    Closes: #733712

 -- Andreas Tille <tille@debian.org>  Tue, 31 Dec 2013 08:37:18 +0100

igraph (0.6.5-4) unstable; urgency=medium

  * cme fix dpkg-control
  * debian/patches/link_f2c.patch: Make sure libf2c will be properly linked
    Closes: #702882

 -- Andreas Tille <tille@debian.org>  Thu, 19 Dec 2013 11:23:31 +0100

igraph (0.6.5-3) unstable; urgency=low

  * Team upload.
  * Rebuild against latest gmp
  * debian/control:
     - cme fix dpkg-control
     - Canonical Vcs-Svn

 -- Andreas Tille <tille@debian.org>  Tue, 16 Jul 2013 09:12:52 +0200

igraph (0.6.5-2) unstable; urgency=low

  * Upload to sid

 -- Mathieu Malaterre <malat@debian.org>  Mon, 27 May 2013 14:01:54 +0200

igraph (0.6.5-1) experimental; urgency=low

  * New upstream
  * Bump Std-Vers to 3.9.4. No changes needed

 -- Mathieu Malaterre <malat@debian.org>  Tue, 12 Mar 2013 14:34:23 +0100

=== debian/control ===
Source: igraph
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>,
           Andreas Tille <tille@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               libtool,
               libxml2-dev,
               libgmp-dev,
               libarpack2-dev,
               libblas-dev,
               liblapack-dev,
               automake,
               dh-autoreconf,
               libglpk-dev,
               libf2c2-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/igraph/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/igraph/trunk/
Homepage: http://igraph.sourceforge.net/

Package: libigraph0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library for creating and manipulating graphs
 igraph is a library for creating and manipulating graphs.
 It is intended to be as powerful (ie. fast) as possible to enable the
 analysis of large graphs.
 .
 This is the runtime library package.

Package: libigraph0-dev
Architecture: any
Section: libdevel
Depends: libigraph0 (= ${binary:Version}),
         ${misc:Depends}
Provides: libigraph-dev
Description: library for creating and manipulating graphs - development files
 igraph is a library for creating and manipulating graphs.
 It is intended to be as powerful (ie. fast) as possible to enable the
 analysis of large graphs.
 .
 This package contains the include files and static library for igraph.

=== debian/watch ===
version=3
http://sf.net/igraph/igraph-([\d\.]+)\.tar\.gz

## igraph 0.6.5-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: igraph
-Version: 0.6.5
-Date: 2013-02-24
+Version: 0.6.5-1
+Date: 2013-02-27
 Title: Network analysis and visualization
 Author: See AUTHORS file.
 Maintainer: Gabor Csardi <csardi.gabor@gmail.com>
@@ -15,7 +15,7 @@
 License: GPL (>= 2)
 URL: http://igraph.sourceforge.net
 SystemRequirements: gmp, libxml2
-Packaged: 2013-02-25 05:06:43 UTC; gaborcsardi
+Packaged: 2013-02-27 16:49:18 UTC; gaborcsardi
 NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2013-02-25 08:43:49
+Date/Publication: 2013-02-28 07:57:40

## igraph 0.6.5-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: igraph
-Version: 0.6.5-1
-Date: 2013-02-27
+Version: 0.6.5-2
+Date: 2013-05-16
 Title: Network analysis and visualization
 Author: See AUTHORS file.
 Maintainer: Gabor Csardi <csardi.gabor@gmail.com>
@@ -15,7 +15,7 @@
 License: GPL (>= 2)
 URL: http://igraph.sourceforge.net
 SystemRequirements: gmp, libxml2
-Packaged: 2013-02-27 16:49:18 UTC; gaborcsardi
+Packaged: 2013-05-23 13:11:38 UTC; gaborcsardi
 NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2013-02-28 07:57:40
+Date/Publication: 2013-05-23 17:39:35

## igraph 0.6.6

=== DESCRIPTION ===
Package: igraph
Version: 0.6.6
Date: 2013-10-28
Title: Network analysis and visualization
Author: See AUTHORS file.
Maintainer: Gabor Csardi <csardi.gabor@gmail.com>
Description: Routines for simple graphs and network analysis. igraph can
  handle large graphs very well and provides functions for generating random
  and regular graphs, graph visualization, centrality indices and much more.
Depends: methods
Suggests: igraphdata, stats4, rgl, tcltk, graph, ape, Matrix
License: GPL (>= 2)
URL: http://igraph.sourceforge.net
SystemRequirements: gmp, libxml2
Packaged: 2013-10-28 19:01:56 UTC; gaborcsardi
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-10-28 21:46:12

## igraph 0.7.0

=== DESCRIPTION ===
Package: igraph
Version: 0.7.0
Date: 2014-02-04
Title: Network analysis and visualization
Author: See AUTHORS file.
Maintainer: Gabor Csardi <csardi.gabor@gmail.com>
Description: Routines for simple graphs and network analysis. igraph can
  handle large graphs very well and provides functions for generating random
  and regular graphs, graph visualization, centrality indices and much more.
Depends: methods
Imports: Matrix
Suggests: igraphdata, stats4, rgl, tcltk, graph, ape
License: GPL (>= 2)
URL: http://igraph.org
SystemRequirements: gmp, libxml2
BugReports: https://github.com/igraph/igraph/issues
Packaged: 2014-02-04 21:57:23 UTC; gaborcsardi
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-02-05 08:45:17

## igraph 0.7.1

=== debian/changelog ===
igraph (0.7.1-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:44:13 +0100

igraph (0.7.1-4) unstable; urgency=medium

  * use a different starting vector for
    igraph_community_leading_eigenvector() to prevent errors
    with ARPACK 3.6.3 (Thanks for the patch to Tamás Nepusz)
    Closes: #902760
  * Drop Tamás Nepusz <ntamas@gmail.com> from uploaders (Tamás, thanks
    for your previous work on the Debian package and the support you
    provide on upstream code)
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Tue, 15 Jan 2019 15:10:32 +0100

igraph (0.7.1-3) unstable; urgency=medium

  [ Mathieu Malaterre ]
  * Remove self from Uploaders.

  [ Andreas Tille ]
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Versioned Build-Depends: libarpack2-dev (>= 3.6.2-1~) and
    Fixing issues with ARPACK 3.6, related to igraph issue #1107
    Partly deals with bug #902760
  * Exclude tests requiring remote access
  * Secure URI in copyright format
  * Drop useless get-orig-source target
  * Remove trailing whitespace in debian/changelog
  * Apply fix for CVE-2018-20349
    Closes: #917211
  * Ignore remaining build time errors to get fix for CVE-2018-20349 out

 -- Andreas Tille <tille@debian.org>  Mon, 24 Dec 2018 15:25:53 +0100

igraph (0.7.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++5 ABI transition (closes: 791075).

 -- Julien Cristau <jcristau@debian.org>  Sun, 16 Aug 2015 17:36:15 +0200

igraph (0.7.1-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Move packagiong from SVN to Git

  [ Tamas Nepusz ]
  * Remove debian/patches/link_f2c.patch; f2c linkage not needed if
    BLAS, LAPACK and ARPACK are all linked dynamically
    Closes: #702882
  * debian/patches/remove_unused_test_target.patch added to make
    dh_auto_test work
  * debian/patches/fix_failing_tests.patch added to fix some failing
    test cases
  * debian/patches/cppflags_restore.patch added to fix incorrect
    handling of CPPFLAGS in the configure script
  * debian/patches/drl_spelling_fix.patch added to fix a spelling
    error in the source and silence a lintian warning

 -- Tamás Nepusz <ntamas@gmail.com>  Fri, 29 Aug 2014 08:39:02 +0000

igraph (0.7.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 08 Aug 2014 16:12:35 +0200

=== debian/control ===
Source: igraph
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 12~),
               libtool,
               libxml2-dev,
               libgmp-dev,
               libarpack2-dev (>= 3.6.2-1~),
               libblas-dev,
               liblapack-dev,
               automake,
               libglpk-dev,
               libf2c2-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/igraph
Vcs-Git: https://salsa.debian.org/med-team/igraph.git
Homepage: http://igraph.org/c/

Package: libigraph0v5
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libigraph0
Replaces: libigraph0
Description: library for creating and manipulating graphs
 igraph is a library for creating and manipulating graphs.
 It is intended to be as powerful (ie. fast) as possible to enable the
 analysis of large graphs.
 .
 This is the runtime library package.

Package: libigraph0-dev
Architecture: any
Section: libdevel
Depends: libigraph0v5 (= ${binary:Version}),
         ${misc:Depends}
Provides: libigraph-dev
Description: library for creating and manipulating graphs - development files
 igraph is a library for creating and manipulating graphs.
 It is intended to be as powerful (ie. fast) as possible to enable the
 analysis of large graphs.
 .
 This package contains the include files and static library for igraph.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

#	--enable-debug

# disable TLS to fix warning with TLS and arpack
CONF_FLAGS=\
	--enable-gmp \
	--disable-tls \
	--with-external-arpack \
	--with-external-blas \
	--with-external-lapack \
	--with-external-f2c \
	--with-external-glpk

override_dh_auto_configure:
	dh_auto_configure -- $(CONF_FLAGS)

#override_dh_auto_test:
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	dh_auto_test || true
#endif

## igraph 0.8.2+ds

=== debian/changelog ===
igraph (0.8.2+ds-2) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Remove *.la file from debian/tmp to enable dh_missing --fail-missing
  * Fix symbols to build with gcc-10
    Closes: #966963

 -- Andreas Tille <tille@debian.org>  Mon, 03 Aug 2020 17:27:43 +0200

igraph (0.8.2+ds-1) unstable; urgency=medium

  * New upstream version
  * Most patches are applied upstream
  * Point watch file to official download location
    Closes: #958999
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add new symbol

 -- Andreas Tille <tille@debian.org>  Thu, 30 Apr 2020 10:18:11 +0200

igraph (0.8.1+ds-3) unstable; urgency=medium

  [ Tamás Nepusz ]
  * Another set of upstream patches relaxing tests to enable building on
    all architectures
    Closes: #956821

  [ Andreas Tille ]
  * Provide symbols file only for amd64 to reduce maintenance burden

 -- Andreas Tille <tille@debian.org>  Fri, 24 Apr 2020 10:39:44 +0200

igraph (0.8.1+ds-2) unstable; urgency=medium

  * Drop --with-external-f2c (thanks for the hint to Szabolcs Horvát)

  [ Tamás Nepusz ]
  * Upstream patches relaxing tests to enable building on all architectures

 -- Andreas Tille <tille@debian.org>  Mon, 20 Apr 2020 21:22:20 +0200

igraph (0.8.1+ds-1) unstable; urgency=medium

  * New upstream version
  * Remove third party code that is not used anyway from upstream source
  * Add missings in d/copyright
    Closes: #953941
  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Update symbols file

 -- Andreas Tille <tille@debian.org>  Mon, 30 Mar 2020 15:02:01 +0200

igraph (0.8.0-1) unstable; urgency=medium

  * New upstream version
  * Point watch file to github
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Call ./bootstrap.sh in dh_autoreconf
  * Build-Depends: bison, flex
  * Add README.source for Rdata files
  * Add symbols file
  * Build-Depends: liblzma-dev
    Closes: #951933
  * Bump soname due to ABI change
  * Use d-shlibs
  * Upstream does not provide texinfo file any more
  * Add example package
  * Fix permissions

 -- Andreas Tille <tille@debian.org>  Sun, 23 Feb 2020 17:04:14 +0100

=== debian/control ===
Source: igraph
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               d-shlibs,
               libtool,
               bison,
               flex,
               libxml2-dev,
               libgmp-dev,
               libarpack2-dev (>= 3.6.2-1~),
               libblas-dev,
               liblapack-dev,
               automake,
               libglpk-dev,
               libf2c2-dev,
               liblzma-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/igraph
Vcs-Git: https://salsa.debian.org/med-team/igraph.git
Homepage: https://igraph.org/c/
Rules-Requires-Root: no

Package: libigraph1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libigraph0, libigraph0v5
Replaces: libigraph0, libigraph0v5
Description: library for creating and manipulating graphs
 igraph is a library for creating and manipulating graphs.
 It is intended to be as powerful (ie. fast) as possible to enable the
 analysis of large graphs.
 .
 This is the runtime library package.

Package: libigraph-dev
Architecture: any
Section: libdevel
Depends: libigraph1 (= ${binary:Version}),
         ${misc:Depends}
Description: library for creating and manipulating graphs - development files
 igraph is a library for creating and manipulating graphs.
 It is intended to be as powerful (ie. fast) as possible to enable the
 analysis of large graphs.
 .
 This package contains the include files and static library for igraph.

Package: libigraph-examples
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: library for creating and manipulating graphs - example files
 igraph is a library for creating and manipulating graphs.
 It is intended to be as powerful (ie. fast) as possible to enable the
 analysis of large graphs.
 .
 This package contains the examples and tests for igraph.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

#	--enable-debug

# disable TLS to fix warning with TLS and arpack
CONF_FLAGS=\
	--enable-gmp \
	--disable-tls \
	--with-external-arpack \
	--with-external-blas \
	--with-external-lapack \
	--with-external-glpk

override_dh_auto_configure:
	dh_auto_configure -- $(CONF_FLAGS)

override_dh_install:
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
		    --movedev debian/tmp/usr/include/igraph usr/include \
		    --movedev "debian/tmp/usr/lib/*/pkgconfig/*.pc" usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
		    debian/tmp/usr/lib/*/*.so
	find debian -name "*.la" -delete

override_dh_fixperms:
	dh_fixperms
	find debian \( -name "*.xml" -o -name "*.c" \) -exec chmod -x \{\} \;

=== debian/watch ===
version=4

opts="repacksuffix=+ds,dversionmangle=auto,repack,compression=xz" \
  https://igraph.org/c/#downloads .*/releases/download/.*/igraph-(\d[\d.-]+)\.tar\.gz

# see https://github.com/igraph/igraph/issues/1377#issuecomment-620620166
#  https://github.com/igraph/igraph/releases .*/archive/(\d[\d.-]+)\.tar\.gz

## igraph 0.8.5+ds1

=== debian/changelog ===
igraph (0.8.5+ds1-1) unstable; urgency=medium

  * Discard d/p/skip_tests_accessing_remote.patch as it is now obsolete.
  * Make external SuiteSparse library suite:
    - d/p/upstream-enhance-external_suitesparse.patch ;
    - d/p/debianization-suitesparse-header_folder.patch .
  * Add libsuitesparse-dev to Build-Depends in d/control
    and to Depends in d/t/control (simple tests).
  * Simplify d/rules
  * Uncomment and update d/libigraph{1,-dev}.install .
  * Add to Files-Excluded list: src/{cs,SuiteSparse_config} config.h.in .
  * Update repacksuffix and dversionmangle options in d/watch .
  * Refresh d/libigraph1.symbols.amd64 .

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 26 Dec 2020 15:41:15 +0000

igraph (0.8.5+ds-3) unstable; urgency=medium

  * Add do-nothing override_dh_auto_{build,test,install}-indep targets in
    d/rules to allow arch all build.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 20 Dec 2020 16:29:31 +0000

igraph (0.8.5+ds-2) unstable; urgency=medium

  * Add myself to Uploaders.
  * d/tests based on examples material, introduce.
  * d/adhoc/examples/{tests,simple,benchmarks}/Makefile, introduce
      (ease d/tests).
  * d/patches/*:
    - d/p/upstream-fix-examples*.patch, introduce (ease d/tests);
    - d/p/upstream-fix-lintian-spelling_error_in_binary.patch, introduce.
  * d/rules:
    - override_dh_installchangelogs target: CHANGELOG.md as changelog;
    - override_dh_compress-indep target: examples material is now
       uncompressed (ease d/tests);
    - override_dh_install-indep target, machinery to permit tests over
       examples material (ease d/tests).
  * Add Multi-Arch fields.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 20 Dec 2020 14:40:34 +0000

igraph (0.8.5+ds-1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version
  * Update Files-Excluded list (clean debclean)
  * Update symbols (d/libigraph1.symbols.amd64)
  * Bump Standards Version to 4.5.1 (no change)
  * Set Forwarded field in patches to not-needed (Debian specific patches)
  * Update d/copyright
  * Add hardening=+all to DEB_BUILD_MAINT_OPTIONS in d/rules
  * Link duplicates in libigraph-examples with jdupes(1)
  * Introduce d/clean

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 13 Dec 2020 19:27:48 +0000

igraph (0.8.3+ds-1) unstable; urgency=medium

  * New upstream version
  * New symbols

 -- Andreas Tille <tille@debian.org>  Sat, 03 Oct 2020 13:07:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: igraph
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Jerome Benoit <calculus@rezozer.net>,
+           Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               jdupes,
                d-shlibs,
                libtool,
                bison,
@@ -13,11 +15,11 @@
                libarpack2-dev (>= 3.6.2-1~),
                libblas-dev,
                liblapack-dev,
-               automake,
+               libsuitesparse-dev,
                libglpk-dev,
                libf2c2-dev,
                liblzma-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/igraph
 Vcs-Git: https://salsa.debian.org/med-team/igraph.git
 Homepage: https://igraph.org/c/
@@ -31,6 +33,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Conflicts: libigraph0, libigraph0v5
 Replaces: libigraph0, libigraph0v5
+Multi-Arch: same
 Description: library for creating and manipulating graphs
  igraph is a library for creating and manipulating graphs.
  It is intended to be as powerful (ie. fast) as possible to enable the
@@ -42,7 +45,9 @@
 Architecture: any
 Section: libdevel
 Depends: libigraph1 (= ${binary:Version}),
+         ${devlibs:Depends},
          ${misc:Depends}
+Multi-Arch: same
 Description: library for creating and manipulating graphs - development files
  igraph is a library for creating and manipulating graphs.
  It is intended to be as powerful (ie. fast) as possible to enable the
@@ -54,6 +59,8 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Suggests: libsuitesparse-dev
+Multi-Arch: foreign
 Description: library for creating and manipulating graphs - example files
  igraph is a library for creating and manipulating graphs.
  It is intended to be as powerful (ie. fast) as possible to enable the

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --builddirectory=_build

#	--enable-debug

# disable TLS to fix warning with TLS and arpack
CONF_FLAGS=\
	--enable-gmp \
	--disable-tls \
	--with-external-arpack \
	--with-external-blas \
	--with-external-lapack \
	--with-external-glpk \
	--with-external-suitesparse

override_dh_auto_configure:
	dh_auto_configure -- $(CONF_FLAGS)

override_dh_auto_build-indep:

override_dh_auto_test-indep:

override_dh_auto_install-indep:

override_dh_install-arch:
	dh_install -a

UPS_VERSION := $(firstword $(subst +, ,$(DEB_VERSION)))
UPS_LISTOF_EXAMPLE__FULLNAME := $(wildcard examples/simple/*.c)
UPS_LISTOF_TEST__FULLNAME    := $(wildcard tests/*.at)
UPS_LISTOF_PRIVATE_EXAMPLE      := $(notdir $(shell grep -l -e igraph_marked_queue.h -e _internal.h $(UPS_LISTOF_EXAMPLE__FULLNAME)))
UPS_LISTOF_COMMENTED_EXAMPLE    := $(shell sed -n 's|\#AT_COMPILE_CHECK(\[simple/\(.*\)\],\(.*\))|\1|p' $(UPS_LISTOF_TEST__FULLNAME))
DEB_LISTOF_XEXAMPLE        := $(sort $(UPS_LISTOF_PRIVATE_EXAMPLE) $(UPS_LISTOF_COMMENTED_EXAMPLE))
DEB_DH_INSTALL_INDEP_XLIST := $(patsubst %.c,%.,$(DEB_LISTOF_XEXAMPLE))
DEB_DH_INSTALL_INDEP_EXAMPLESDIR := $(CURDIR)/debian/libigraph-examples/usr/share/doc/libigraph-dev/examples
override_dh_install-indep:
	dh_install -i $(addprefix -X,$(DEB_DH_INSTALL_INDEP_XLIST))
	find $(DEB_DH_INSTALL_INDEP_EXAMPLESDIR)/simple -name '*.c'   -exec sed -i 's|../tests/test_utilities.inc|test_utilities.inc|' \{\} \;
	find $(DEB_DH_INSTALL_INDEP_EXAMPLESDIR)/simple -name '*.out' -exec sed -i 's|@VERSION@|$(UPS_VERSION)|' \{\} \;

override_dh_installchangelogs:
	dh_installchangelogs --keep CHANGELOG.md

override_dh_link:
	dh_link
	jdupes -rl debian/libigraph-examples

override_dh_compress-indep:
	dh_compress -X/examples/

override_dh_fixperms:
	dh_fixperms
	find debian \( -name "*.xml" -o -name "*.c" \) -exec chmod -x \{\} \;

override_dh_missing:
	dh_missing -X.la

get-info:
	@echo "UPS_VERSION:                     >$(UPS_VERSION)<"
	@echo "UPS_LISTOF_PRIVATE_EXAMPLE:      >$(UPS_LISTOF_PRIVATE_EXAMPLE)<"
	@echo "UPS_LISTOF_WITH3RDPARTY_EXAMPLE: >$(UPS_LISTOF_WITH3RDPARTY_EXAMPLE)<"
	@echo "UPS_LISTOF_COMMENTED_EXAMPLE:    >$(UPS_LISTOF_COMMENTED_EXAMPLE)<"

=== debian/tests/control ===
Test-Command: debian/tests/check tests
Depends: libigraph-dev, libigraph-examples, build-essential, pkg-config

Test-Command: debian/tests/check simple
Depends: libigraph-dev, libsuitesparse-dev, libigraph-examples, build-essential, pkg-config

Test-Command: debian/tests/check benchmarks
Depends: libigraph-dev, libigraph-examples, build-essential, pkg-config

=== debian/watch ===
version=4

opts="repacksuffix=+ds1,dversionmangle=s/\+ds[\d]?//,repack,compression=xz" \
  https://igraph.org/c/#downloads .*/releases/download/.*/igraph-(\d[\d.-]+)\.tar\.gz

# see https://github.com/igraph/igraph/issues/1377#issuecomment-620620166
#  https://github.com/igraph/igraph/releases .*/archive/(\d[\d.-]+)\.tar\.gz
